Attribute VB_Name = "Open_IO"
' Modul         : Open_IO
' System        : VB 6.0 SP6
' Copyright (C) : E+A Forschungsinstitut Elektromaschinen GmbH, CH-4313 Mhlin
'
' Beschreibung  : Einstellungen laden und schreiben
'
' nderungen    :
' 18.03.05/Beju : Applikations-Anpassungen
' 10.05.2001/Be : Programmier Beginn
'

Option Explicit

'Deklaration der IO-Prozeduren
Dim Ini As IniZeile
Dim Log As IniZeile

'Einstellungen++++++++++++++++++++++++++++++
' Lesen Globale Einstellungen
Public Sub InputGlobalIni()
  Dim IniFile  As String
  On Error Resume Next
  IniFile = App.Path & "\" & App.EXEName & ".ini"
  Schnittstelle = IniDataRead(IniFile, "Rotorlage", "Schnittstelle", "Com1") 'verwendete Schnittstelle
  DataFile = IniDataRead(IniFile, "Export", "DataFile", "C:\Rotorlage.txt") 'die Datei worin die Daten gespeicert werden
  DataTrenner = IniDataRead(IniFile, "Export", "DataTrenner", "Semikolon [;]") 'Das trennzeichen einzelner Daten pro Zeile
  MaschinenTyp = IniDataRead(IniFile, "Export", "MaschinenTyp") 'der zuletzt verwenete Maschinetyp
  Main.mnuSymbolleiste.Checked = IniDataRead(IniFile, "System", "SymbolListe", True) 'SymbolListe on/off
  Main.mnuTaskliste.Checked = IniDataRead(IniFile, "System", "Taskliste", True)   'TaskLeiste on/off
  Main.tlbSymbolleiste.Visible = Main.mnuSymbolleiste.Checked
  Main.MDIBar.Visible = Main.mnuTaskliste.Checked
End Sub

' Lesen User Einstellungen
Public Sub InputUserIni()
  Dim IniFile  As String
  On Error Resume Next
  IniFile = Profil.UserProfile & "\" & App.EXEName & ".ini"
End Sub

' schreiben Globale Einstellungen
Public Sub OutputGlobalIni()
  Dim IniFile  As String
  On Error Resume Next
  IniFile = App.Path & "\" & App.EXEName & ".ini"
  Call IniDataWrite(IniFile, "Rotorlage", "Schnittstelle", Schnittstelle)
  Call IniDataWrite(IniFile, "Export", "DataFile", DataFile)
  Call IniDataWrite(IniFile, "Export", "DataTrenner", DataTrenner)
  Call IniDataWrite(IniFile, "Export", "MaschinenTyp", MaschinenTyp)
  Call IniDataWrite(IniFile, "System", "SymbolListe", Main.mnuSymbolleiste.Checked)
  Call IniDataWrite(IniFile, "System", "Taskliste", Main.mnuTaskliste.Checked)
End Sub

' schreiben User Einstellungen
Public Sub OutputUserIni()
  Dim IniFile As String
  On Error Resume Next
  IniFile = Profil.UserProfile & "\" & App.EXEName & ".ini"
End Sub
'Einstellungen------------------------------
